<script setup lang="ts">
const fileContent = ref('');

const handleFileUpload = (event: Event) => {
  const file = (event.target as HTMLInputElement).files?.[0];
  readFileContent(file);
};

const handleFileDrop = (event: DragEvent) => {
  const file = event.dataTransfer?.files?.[0];
  readFileContent(file);
};

const readFileContent = (file: File | undefined) => {
  if (file) {
    const reader = new FileReader();
    reader.onload = () => {
      fileContent.value = reader.result as string;
    };
    reader.readAsText(file);
  }
};

import { ref } from 'vue';

interface Nl2declareApiResponse {
  processed_attribute: string;
  mandatory_modals: string;
}

const product = ref<Nl2declareApiResponse | null>(null);

</script>

<template>
    <div>
      <input type="file" @change="handleFileUpload" />
      <div
        @dragover.prevent
        @drop.prevent="handleFileDrop"
        style="border: 2px dashed #ccc; padding: 20px; margin-top: 20px;"
      >
        Drop files here
      </div>
      <button>Click here to extract constraints from csv.</button>
    </div>
</template>
    